/*
 	File:		DeviceManagerSupport.h
 
 	Contains:	Device Manager Interfaces.
 
 	Version:	Technology:	Sustem 7.5 and 8
 				Release:	Universal Interfaces 3.0d3 on Copland DR1
 
 	Copyright:	 1984-1996 by Apple Computer, Inc.  All rights reserved.
 
 	Bugs?:		If you find a problem with this file, send the file and version
 				information (from above) and the problem description to:
 
 					Internet:	apple.bugs@applelink.apple.com
 					AppleLink:	APPLE.BUGS
 
*/
#ifndef __DEVICEMANAGERSUPPORT__
#define __DEVICEMANAGERSUPPORT__

#ifndef __CONDITIONALMACROS__
#include <ConditionalMacros.h>
#endif
#ifndef __TYPES__
#include <Types.h>
#endif
#ifndef __DEVICES__
#include <Devices.h>
#endif
#ifndef __CODEFRAGMENTS__
#include <CodeFragments.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import on
#endif

#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=mac68k
#endif

/* callback function to family from IOCommandIsComplete*/
typedef OSErr (*IOCompleteEntryPointPtr)(IOCommandID ID, OSErr result, ParmBlkPtr thePB);
extern OSErr RegisterDoDriverIO(IOCommandID *theID, ParmBlkPtr thePB, IOCompleteEntryPointPtr returnAddr);

extern OSErr IOCommandIsComplete(IOCommandID theID, OSErr theResult);

extern OSErr GetIOCommandInfo(IOCommandID theID, IOCommandContents *theContents, IOCommandCode *theCommand, IOCommandKind *theKind);


#if PRAGMA_ALIGN_SUPPORTED
#pragma options align=reset
#endif

#if PRAGMA_IMPORT_SUPPORTED
#pragma import off
#endif

#ifdef __cplusplus
}
#endif

#endif /* __DEVICEMANAGERSUPPORT__ */

